UserProfileResponse
User profile response schema.
idId (string)required
emailEmail (string)required
nameName (string)required
roleRole (string)required
is_staffIs Staff (boolean)
Default value:
falseis_superuserIs Superuser (boolean)
Default value:
falseemail_verifiedEmail Verified (boolean)required
created_atstring<date-time>required
updated_atstring<date-time>required
bio object
anyOf
- string
- null
string
avatar_url object
anyOf
- string
- null
string
phone_number object
anyOf
- string
- null
string
timezoneTimezone (string)
Default value:
UTCdate_formatDate Format (string)
Default value:
YYYY-MM-DDtime_formatTime Format (string)
Default value:
24hemail_notificationsEmail Notifications (boolean)
Default value:
truewebhook_failure_notificationsWebhook Failure Notifications (boolean)
Default value:
trueworkflow_failure_notificationsWorkflow Failure Notifications (boolean)
Default value:
trueusage_alert_notificationsUsage Alert Notifications (boolean)
Default value:
truemarketing_emailsMarketing Emails (boolean)
Default value:
falsedefault_map_styleDefault Map Style (string)
Default value:
streetsdefault_geofence_colorDefault Geofence Color (string)
Default value:
#3B82F6show_tutorial_tooltipsShow Tutorial Tooltips (boolean)
Default value:
truedefault_api_versionDefault Api Version (string)
Default value:
v1selected_planSelected Plan (string)
Default value:
freecompany object
anyOf
- string
- null
string
UserProfileResponse
{
"id": "string",
"email": "string",
"name": "string",
"role": "string",
"is_staff": false,
"is_superuser": false,
"email_verified": true,
"created_at": "2024-07-29T15:51:28.071Z",
"updated_at": "2024-07-29T15:51:28.071Z",
"bio": "string",
"avatar_url": "string",
"phone_number": "string",
"timezone": "UTC",
"date_format": "YYYY-MM-DD",
"time_format": "24h",
"email_notifications": true,
"webhook_failure_notifications": true,
"workflow_failure_notifications": true,
"usage_alert_notifications": true,
"marketing_emails": false,
"default_map_style": "streets",
"default_geofence_color": "#3B82F6",
"show_tutorial_tooltips": true,
"default_api_version": "v1",
"selected_plan": "free",
"company": "string"
}